package gov.va.vinci.dart.json;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class PrimaryInfoView {	
	
	private List<PILocationView> locations = new ArrayList<PILocationView>();
	
	Map<Integer,PIParticipantView> investigators = new HashMap<Integer,PIParticipantView>();	//locationId

	private boolean isAmendment = false;
	
	public Map<Integer, PIParticipantView> getInvestigators() {	//location ID, participants
		return investigators;
	}

	public List<PILocationView> getLocations() {
		return locations;
	}

    public boolean isAmendment() {
        return isAmendment;
    }

    public void setAmendment(boolean isAmendment) {
        this.isAmendment = isAmendment;
    }
}
